%global pkg_name GLUT

%global common_summary Haskell %{pkg_name} library

%global common_description The Haskell %{pkg_name} library.\
This is a set of bindings to the C %{pkg_name} library.

%global ghc_pkg_deps ghc-OpenGL-devel

%global ghc_pkg_c_deps freeglut-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2010.1.0.0
Version:        2.1.2.1
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.haskell.org/haskellwiki/Opengl
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
Patch1:         ghc-GLUT-extralibs.patch

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jun 10 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-3
- add extralibs glut in .cabal file to fix ghci linking
  (reported by Ian Collier, #601640)

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-2
- part of haskell-platform-2010.1.0.0
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-1
- update to 2.1.2.1 (haskell-platform-2009.3.1)
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use ghc_lib_package, ghc_pkg_deps, and ghc_pkg_c_deps

* Sat Dec 26 2009 Jens Petersen <petersen@redhat.com> - 2.1.1.2-3
- update for ghc-6.12.1: add shared library support
- use new ghc*_requires macros: needs ghc-rpm-macros 0.4.0
- add common_summary and common_description

* Mon Aug 31 2009 Jens Petersen <petersen@redhat.com> - 2.1.1.2-2
- move BRs to source (base) package

* Wed Aug 12 2009 Bryan O'Sullivan <bos@serpentine.com> - 2.1.1.2-1
- initial packaging for Fedora created by cabal2spec
